Subject: [bug#31999] [PATCH 4/7] gnu: lvm2: Add device-mapper-event support.

From: Pierre Neidhardt <[email-masked]>
Date: Mon, 30 Jul 2018 12:10:38 +0200

Marius Bakke <[email-masked]> writes:

>> +                               ;; TODO: Patch make.tmpl.in to take LDFLAGS
>> +                               ;; into account so that we don't need to also
>> +                               ;; set CLDFLAGS.
>> +                               (string-append "CLDFLAGS=-Wl,-rpath="
>> +                                              (assoc-ref %outputs "out")
>> +                                              "/lib,-rpath="
>> +                                              (assoc-ref %outputs "out")
>> +                                              "/lib/device-mapper"))
>
> Did you try patching the Make template?
>
> I suppose this is okay, though I'm curious about the LDFLAGS/CLDFLAGS
> distinction.

I did not but this is low priority on my TODO list so I'd rather leave a
TODO comment if someone wants to pick this up later.

-- 
Pierre Neidhardt